Method: legacySoarSettings.legacyGetDataSourcesForGroupingRule

Full name: projects.locations.instances.legacySoarSettings.legacyGetDataSourcesForGroupingRule

Returns a paginated list of data sources that can be used as criteria for alert grouping rules. This allows for grouping alerts based on where their underlying events originated.

HTTP request


POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{instance}/legacySoarSettings:legacyGetDataSourcesForGroupingRule

Path parameters

Parameters
instance

string

Required. The instance to get the data sources for. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "searchTerm": string,
  "requestedPage": integer,
  "pageSize": integer
}
Fields
searchTerm

string

Optional. The search term.

requestedPage

integer

Optional. The requested page.

pageSize

integer

Optional. The page size.

Response body

Response message for LegacySoarSettingService.LegacyGetDataSourcesForGroupingRule.

If successful, the response body contains data with the following structure:

JSON representation
{
  "objectsList": [
    {
      object (LegacyApiObjectDataModel)
    }
  ],
  "metadata": {
    object (LegacyApiMetadata)
  }
}
Fields
objectsList[]

object (LegacyApiObjectDataModel)

Output only. The objects list.

metadata

object (LegacyApiMetadata)

Output only. The metadata.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacySoarSettings.get

For more information, see the IAM documentation.